Subject: bug#8865: 24.0.50; `display-buffer' does not respect `pop-up-frames'

From: Stefan Monnier <[email-masked]>
Date: Fri, 17 Jun 2011 17:46:26 -0400

>> > My question was about replacing such a test.  The common 
>> > denominator of the intentions behind using such tests is
>> > what all of those tests do (have in common): distinguish
>> > nil `pop-up-frames' from non-nil.  Nothing more.
>> If that's all you want to do, then "(if pop-up-frames" is (trivially)
>> the only answer.

> Well, yes, in Emacs 20-23.  But if `pop-up-frames' is being deprecated
> then what is the _replacement_ for such a test, going forward?

If your point is to test pop-up-frames, then by all means do that.
And if it disappears, then change your code so it doesn't signal
an error.
As long as you don't give me the intention behind the check, there is no
better answer.

        Stefan